Name: fonts-arabic
Version: 1.5
Release: 5
License: GPL
Source: KacstArabicFonts-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Group: User Interface/X
Summary: Fonts for Arabic
URL: http://www.arabeyes.org/resources.php
Prereq: fontconfig 
 
%description
The fonts-arabic package contains fonts for the display of
Arabic from the King Abdulaziz City for Science & Technology.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/arabic
cp KacstArabicFonts-%{version}/*.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/arabic
# %%ghost the fonts.cache-1 file
touch $RPM_BUILD_ROOT%{_datadir}/fonts/arabic/fonts.cache-1

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%files
%defattr(-,root,root)
%doc KacstArabicFonts-%{version}/license.txt
%dir %{_datadir}/fonts/arabic
%{_datadir}/fonts/arabic/*.ttf
%ghost %{_datadir}/fonts/arabic/fonts.cache-1

%changelog
* Fri Feb 10 2006 Caolan McNamara <caolanm@redhat.com> - 1.5-5
- update url

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> 
- rebuilt

* Fri Oct 28 2005 Caolan McNamara <caolanm@redhat.com> - 1.5-4
- check for existance of fc-cache

* Wed Sep 22 2004 Owen Taylor <otaylor@redhat.com> - 1.5-3
- Bump and rebuild

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jan 26 2004 Owen Taylor <otaylor@redhat.com> 1.5-1
- Version 1.5

* Thu Aug 28 2003 Owen Taylor <otaylor@redhat.com>
- Version 1.4 (#101228, Mohamed Eldesoky)

* Tue Apr  8 2003 Bill Nottingham <notting@redhat.com>
- upstream 1.3 with new latin-1 glyphs

* Tue Feb  4 2003 Owen Taylor <otaylor@redhat.com>
- Upgrade to newer upstream package

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jan 13 2003 Owen Taylor <otaylor@redhat.com>
- Initial packaging
